import Vue, { VNode } from 'vue';
import { ScopedSlotReturnValue } from 'vue/types/vnode';
import { AlertConfig } from '../config-provider/config-receiver';
declare const _default: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: AlertConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue, {
    visible: boolean;
    collapsed: boolean;
}, {
    renderIcon(): VNode;
    renderClose(): VNode;
    renderContent(): VNode;
    renderTitle(): VNode;
    renderMessage(): VNode;
    renderDescription(): VNode;
    handleClose(e: MouseEvent): void;
    handleCloseEnd(e: TransitionEvent): void;
}, unknown, {
    close: string | boolean | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    icon: (h: import("vue").CreateElement) => ScopedSlotReturnValue;
    maxLine: number;
    message: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    operation: (h: import("vue").CreateElement) => ScopedSlotReturnValue;
    theme: "error" | "success" | "warning" | "info";
    title: string | ((h: import("vue").CreateElement) => ScopedSlotReturnValue);
    onClose: (context: {
        e: MouseEvent;
    }) => void;
    onClosed: (context: {
        e: TransitionEvent;
    }) => void;
}>;
export default _default;
